﻿@using DataAccess.Model
@model IList<DataAccess.Model.Message>

<div class="container mx-auto dashboard-content">
    <h2>Zprávy k vyřízení</h2>
    @if (Model.Count != 0)
    {
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th scope="col">Zpráva</th>
                    <th scope="col">Odesílatel</th>
                    <th scope="col">Předmět</th>
                    <th scope="col">Smazat zprávu</th>
                </tr>
            </thead>

            <tbody>
                @foreach (Message message in Model)
                {
                    <tr>
                        <td>@Ajax.ActionLink("Zobrazit", "GetMessageDetail", "Message", new { id = message.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent" })</td>
                        <td>@message.UserName</td>
                        <td>@message.Subject</td>
                        <td> @Ajax.ActionLink("Odstranit", "DeleteMessage", "Message", new { id = message.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { onclick = "return confirm('Přejete si opravdu odstranit tuto zprávu?');" })</td>
                    </tr>
                }
            </tbody>
        </table>
    }
    else
    {
        <p>Nemáte žádné zprávy k vyřízení.</p>
    }
</div>